Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Interface Heartbeat

All Known Subinterfaces:
  ChannelInterceptor, ChannelReceiver, ChannelSender

All Known Implementing Classes:
  AbstractReplicatedMap, BioReceiver, ChannelCoordinator, ChannelInterceptorBase, DomainFilterInterceptor, FragmentationInterceptor, GroupChannel, GzipInterceptor, LazyReplicatedMap, MessageDispatch15Interceptor, MessageDispatchInterceptor, NioReceiver, NonBlockingCoordinator, OrderInterceptor, ReceiverBase, ReplicatedMap, ReplicationTransmitter, SimpleCoordinator, StaticMembershipInterceptor, TcpFailureDetector, TcpPingInterceptor, ThroughputInterceptor, TwoPhaseCommitInterceptor

    public interface Heartbeat

Can be implemented by the ChannelListener and Membership listeners to receive heartbeat notifications from the Channel

Version:
  1.0
Author:
  Filip Hanik
See Also:
  `Channel`, `Channel.heartbeat()`

Method Summary
`void` | `heartbeat()` Heartbeat invokation for resources cleanup etc

Method Detail

### heartbeat

    void heartbeat()

  Heartbeat invokation for resources cleanup etc

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.